Ticket #277 (closed task: worksforme)

Opened 5 years ago

Last modified 5 years ago

NONE/var/cache/fontconfig subdir created on each gvim start

Reported by: levon@… Owned by: jeremyhu@…
Priority: Nice to Have Milestone: 2.4.0
Component: X11.pkg Version: 2.3.2 (xserver-1.4.2-apple31)
Keywords: Cc: levon@…

Description

XQuartz 2.3.3.2 (xorg-server 1.4.2-apple42) OS X 10.5.7

after a "security update" via apple.com update service i updated my X11.app to XQuartz 2.3.3.2. now each time i start gvim a subdir NONE/var/cache/fontconfig with fontcache files (i guess) is created.

i tried to reinstall and the problem remains. i've installed from the dmg package that i downloaded from a http://xquartz.macosforge.org download link.

Change History

comment:1 Changed 5 years ago by levon@…

  • Cc levon@… added

Cc Me!

comment:2 Changed 5 years ago by jeremyhu@…

how did you get gvim? Is it MacPorts, fink, self built?

What is the output of:

$ otool -L `which gvim`

comment:3 Changed 5 years ago by levon@…

hi, thanks for reply.

gvim is self built, below is the otool output, i guess it looks as if i have to rebuilt.

/usr/local/bin/gvim:

/usr/local/lib/libgtk-x11-2.0.0.dylib (compatibility version 1001.0.0, current version 1001.13.0) /usr/local/lib/libgdk-x11-2.0.0.dylib (compatibility version 1001.0.0, current version 1001.13.0) /usr/local/lib/libatk-1.0.0.dylib (compatibility version 901.0.0, current version 901.0.0) /usr/local/lib/libgdk_pixbuf-2.0.0.dylib (compatibility version 1001.0.0, current version 1001.13.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.3.9) /usr/local/lib/libpangocairo-1.0.0.dylib (compatibility version 1601.0.0, current version 1601.4.0) /usr/local/lib/libpango-1.0.0.dylib (compatibility version 1601.0.0, current version 1601.4.0) /usr/local/lib/libcairo.2.dylib (compatibility version 14.0.0, current version 14.5.0) /usr/local/lib/libgobject-2.0.0.dylib (compatibility version 1201.0.0, current version 1201.13.0) /usr/local/lib/libgmodule-2.0.0.dylib (compatibility version 1201.0.0, current version 1201.13.0) /usr/local/lib/libglib-2.0.0.dylib (compatibility version 1201.0.0, current version 1201.13.0) /usr/local/lib/libintl.8.dylib (compatibility version 9.0.0, current version 9.1.0) /usr/X11R6/lib/libXt.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libncurses.5.4.dylib (compatibility version 5.4.0, current version 5.4.0) /usr/lib/libiconv.2.dylib (compatibility version 5.0.0, current version 5.0.0)

comment:4 Changed 5 years ago by jeremyhu@…

Did you build your own fontconfig in /usr/local as well?

comment:5 Changed 5 years ago by jeremyhu@…

  • Status changed from new to closed
  • Resolution set to worksforme
  • Milestone set to 2.4.0

no response...

Note: See TracTickets for help on using tickets.